- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions

# MObjectSetMessage Class Reference

# OpenMaya - API module for common classes

Search for all occurrences

## Detailed Description

Object Set Messages.

This class is used to register callbacks for object set messages received by specific sets.

There is 1 add callback method which will add callbacks for the following message

- Set Members Modified

The first parameter passed to each of the add callback methods is the object set depenency node that will trigger the callback. The second parameter specifies the callback function and the optional third parameter specifies the callback argument.

Each method returns an id which is used to remove the callback.

To remove a callback use MMessage::removeCallback(). All callbacks that are registered by a plug-in must be removed by that plug-in when it is unloaded. Failure to do so will result in a fatal error.

`#include <MObjectSetMessage.h>`

Inheritance diagram for MObjectSetMessage:
[legend]

List of all members.

## Static Public Member Functions
static MCallbackId | addSetMembersModifiedCallback (MObject &node, MMessage::MNodeFunction func, void *clientData=NULL, MStatus *ReturnStatus=NULL)
| Registers callbacks for set modified messages.
static const char * | className ()
| Returns the name of this class.

## Member Function Documentation

MCallbackId addSetMembersModifiedCallback | ( | MObject & | node,
|  | MMessage::MNodeFunction | func,
|  | void * | clientData = `NULL`,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  | `[static]`

Search for all occurrences

Registers callbacks for set modified messages.

Parameters:

  [in] | node | the set to register the callback for
  [in] | func | the callback function

- node the set that has triggered a setModified event
- clientData User defined data passed to the callback function

Parameters:

  [in] | clientData | User defined data that will be passed to the callback function
  [out] | ReturnStatus | status code

Returns:
  Identifier used for removing the callback.

Status Codes:
  - MS::kSuccess Operation succeeded
  - MS::kInsufficientMemory No memory available
  - MS::kFailure Error adding callback

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  The name of this class.

Reimplemented from MMessage.

MObjectSetMessage MObjectSetMessage MObjectSetMessage MObjectSetMessage MObjectSetMessage MObjectSetMessage MObjectSetMessage MObjectSetMessage MObjectSetMessage MObjectSetMessage
MObjectSetMessage MObjectSetMessage MObjectSetMessage MObjectSetMessage MObjectSetMessage MObjectSetMessage MObjectSetMessage MObjectSetMessage MObjectSetMessage MObjectSetMessage